Package org.codehaus.groovy.control

## Interface HasCleanup

- All Known Subinterfaces:
    `ReaderSource`
  All Known Implementing Classes:
    `AbstractReaderSource`, `FileReaderSource`, `InputStreamReaderSource`, `Janitor`, `StringReaderSource`, `URLReaderSource`

      public interface HasCleanup

  An interface for things that need to be cleaned up after operations complete.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |

- - ### Method Detail

    - #### cleanup

          void cleanup()